#include <FL/Fl.H>
#include <FL/Fl_Window.H>

struct LaunchPadItem
{
public:
	const char* label;
	const char* command;
	LaunchPadItem(const char* l, const char* c) :
		label(l), command(c)
	{}
};

class LaunchPad {
private:
	Fl_Window* _w;
	// int h;
	int button_width;
	int button_height;
	static void cb(Fl_Widget* w, void* v);
	void add_button(int x, char* pm[],
             LaunchPadItem* lpi, int shift=0, const char* label = 0);
public:
	LaunchPad();
};

// important paths needed in LaunchPad.cc
static const char VRWM_PATH[]        = "/usr/bin/vrwm";
static const char ORIENTATION_PATH[] = "/etc/orientation";
static const char STARTUP_PATH[]     = "~/.wmx/.startup";

// Labels, paths etc for the silkscreen buttons
static const char LAUNCHPAD_LAB[]    = "LaunchPad";
static const char LAUNCHPAD_PATH[]   = "~/.wmx/.launchpad";
static const char LAUNCHPAD_SYM[]    = "VR";
static const char CONTACTS_LAB[]     = "Contacts";
static const char CONTACTS_PATH[]    = "~/.wmx/.contacts";
static const char CONTACTS_SYM[]     = "Co";
static const char TODO_LAB[]         = "To Do";
static const char TODO_PATH[]        = "~/.wmx/.to-do";
static const char TODO_SYM[]         = "To";
static const char SCHEDULE_LAB[]     = "Schedule";
static const char SCHEDULE_PATH[]    = "~/.wmx/.schedule";
static const char SCHEDULE_SYM[]     = "Pl";
static const char NOTES_LAB[]        = "Notes";
static const char NOTES_PATH[]       = "~/.wmx/.notes";
static const char NOTES_SYM[]        = "Me";
static const char CALCULATOR_LAB[]   = "Calculator";
static const char CALCULATOR_PATH[]  = "~/.wmx/.calculator";
static const char CALCULATOR_SYM[]   = "Ca";
static const char KEYBOARD_LAB[]     = "Keyboard";
static const char KEYBOARD_PATH[]    = "~/.wmx/.keyboard";
static const char KEYBOARD_SYM[]     = "Ke";
